import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { NestExpressApplication } from '@nestjs/platform-express';
import Database from '~/db/database';

async function bootstrap() {
	await Database.init();

	const app = await NestFactory.create<NestExpressApplication>(AppModule);
	app.enableCors();
	await app.listen(3001);
}
bootstrap();
